CKEDITOR.plugins.add( 'embeddfp', {
    requires: 'widget',
    icons: 'embeddfp',
    init: function( editor ) {
        editor.addContentsCss( this.path + 'css/embeddfp.css' );
        editor.widgets.add( 'embeddfp', {
            button: 'Embed DFP Ads',
            template: '<div class="embeddfp"><span class="dfp">Google DFP Ads placeholder</span></div>',
            upcast: function( element ) {
            	return element.name == 'div' && element.hasClass( 'embeddfp' );
            },
            allowedContent: '*',
            init: function() {},
            data: function() {}
        } );
    }
});